Page MenuHomePhabricator

edje: Add edje_object_message_signal_recursive_process
ClosedPublic

Authored by sju27 on May 25 2017, 10:55 PM.

Details

Summary

If edje has multiple levels of child group, edje_object_message_signal_process cannot process message on child group.
To cover that, it needs to add new API which traverses its hierarchy and process messages.

Signed-off-by: jinwoo.shin <jw0227.shin@samsung.com>

Test Plan

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
sju27 created this revision.May 25 2017, 10:55 PM
sju27 edited the test plan for this revision. (Show Details)May 25 2017, 11:02 PM
sju27 added a reviewer: jpeg.
sju27 added subscribers: singh.amitesh, minkyu.
sju27 added a subscriber: jehun.lim.
jpeg requested changes to this revision.May 28 2017, 10:06 PM

I'll add a bool to the main function in EO.

This revision now requires changes to proceed.May 28 2017, 10:06 PM
minkyu requested changes to this revision.May 28 2017, 11:07 PM
minkyu added inline comments.
src/lib/edje/edje_message_queue.c
231

obj is used in this function

244

if (

Closed by commit rEFLe9c715921025: edje: Add recursive flag for message_signal_process (authored by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyMay 29 2017, 2:19 AM
This revision was automatically updated to reflect the committed changes.
jpeg added a comment.May 29 2017, 10:46 PM

Since my patch did not even pass your test case, I've fixed it and included your EDC file in our automated tests (make check). Thanks again for your contribution.

sju27 added a comment.Jun 1 2017, 9:48 PM

@jpeg Thanks! We needed this API on tizen.

Shouldn't it always be recursive ?

jpeg added a comment.Jun 7 2017, 11:38 PM
In D4914#82847, @cedric wrote:

Shouldn't it always be recursive ?

It isn't with the only legacy API (before this patch). So I didn't want to change this behaviour. The new EO API should maybe be recursive by default then?